<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://www.dass-it.de/VanHelsing/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="VanHelsing" targetNamespace="http://www.dass-it.de/VanHelsing/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://www.dass-it.de/VanHelsing/">
      <xsd:element name="listResources" type="tns:listResourcesType"></xsd:element>
      <xsd:element name="listResourcesResponse" type="tns:resourceListType"></xsd:element>
      <xsd:complexType name="listResourcesType">
      	<xsd:sequence>
      		<xsd:element name="resourceType" type="xsd:string"></xsd:element>
      		<xsd:element name="director" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="resourceListType">
      	<xsd:sequence>
      		<xsd:element name="resource" type="tns:ResourceInfo" maxOccurs="unbounded" minOccurs="0"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    
      <xsd:complexType name="ResourceInfo">
      	<xsd:sequence>
      		<xsd:element name="resId" type="xsd:int"></xsd:element>
      		<xsd:element name="resType" type="xsd:string"></xsd:element>
      		<xsd:element name="resName" type="xsd:string"></xsd:element>
      		<xsd:element name="director" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:element name="getSimpleResource" type="tns:getResourceType"></xsd:element>
      <xsd:element name="getSimpleResourceResponse">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="resInfo" type="tns:ResourceInfo"></xsd:element>
      			<xsd:element name="resAttribute" type="tns:ResourceAttributeType" maxOccurs="unbounded" minOccurs="0"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
    
    
    
      <xsd:complexType name="getResourceType">
      	<xsd:sequence>
      		<xsd:element name="resId" type="xsd:int"></xsd:element>
      		<xsd:element name="director" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:element name="setSimpleResource"
      	type="tns:ResourceInitialization">
      </xsd:element>
      <xsd:element name="setSimpleResourceResponse">
	      <xsd:complexType>
		      <xsd:sequence>
			      <xsd:element name="status" type="xsd:string"></xsd:element>
		      </xsd:sequence>
	      </xsd:complexType>
      </xsd:element>
      <xsd:element name="deleteResourceFault">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="deleteResourceFault"
      				type="xsd:string">
      			</xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="deleteResourceFault1">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="deleteResourceFault1"
      				type="xsd:string">
      			</xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="invalidId" type="xsd:string"></xsd:element>
      <xsd:element name="constraintViolation" type="xsd:string"></xsd:element>
      <xsd:element name="syntaxError" type="xsd:string"></xsd:element>
      
      <xsd:element name="createSimpleResource" type="tns:ResourceInitialization"></xsd:element>
      
            <xsd:element name="createSimpleResourceResponse">
            	<xsd:complexType>
            		<xsd:sequence>
            			<xsd:element name="resId" type="xsd:int"></xsd:element>
            		</xsd:sequence>
            	</xsd:complexType>
            </xsd:element>
    
            <xsd:complexType name="ResourceInitialization">
            	<xsd:sequence>
            		<xsd:element name="resInfo"
            			type="tns:ResourceInfo">
            		</xsd:element>
            		<xsd:element name="replace" type="xsd:boolean"></xsd:element>
            		<xsd:element name="resAttribute" type="tns:ResourceAttributeType" maxOccurs="unbounded" minOccurs="0"></xsd:element>
            	</xsd:sequence>
            </xsd:complexType>
            <xsd:element name="createSimpleResourceFault">
            	<xsd:complexType>
            		<xsd:sequence>
            			<xsd:element name="createSimpleResourceFault"
            				type="xsd:string">
            			</xsd:element>
            		</xsd:sequence>
            	</xsd:complexType>
            </xsd:element>
            <xsd:element name="deleteResource"
            	type="tns:ResourceInfo">
            </xsd:element>
            <xsd:element name="setFileSetResource"
            	type="tns:FileSetResource">
            </xsd:element>
            <xsd:element name="setFileSetResourceResponse">
            	<xsd:complexType>
            		<xsd:sequence>
            			<xsd:element name="status" type="xsd:string"></xsd:element>
            		</xsd:sequence>
            	</xsd:complexType>
            </xsd:element>
            <xsd:element name="createFileSetResource"
            	type="tns:FileSetResource">
            </xsd:element>
            <xsd:element name="createFileSetResourceResponse">
            	<xsd:complexType>
            		<xsd:sequence>
            			<xsd:element name="resId" type="xsd:int"></xsd:element>
            		</xsd:sequence>
            	</xsd:complexType>
            </xsd:element>
    
            <xsd:complexType name="FileSetResource">
            	<xsd:sequence>
            		<xsd:element name="replace" type="xsd:boolean"></xsd:element>
            		<xsd:element name="parameters"
            			type="tns:ResourceAttributeType" maxOccurs="unbounded"
            			minOccurs="0">
            		</xsd:element>
            		<xsd:element name="options"
            			type="tns:ResourceAttributeType" maxOccurs="unbounded"
            			minOccurs="0">
            		</xsd:element>
            		<xsd:element name="include"
            			type="tns:fileSetInclude">
            		</xsd:element>
            		<xsd:element name="exclude"
            			type="tns:ResourceAttributeType">
            		</xsd:element>
            	</xsd:sequence>
            </xsd:complexType>
    
            <xsd:complexType name="ResourceAttributeType">
            	<xsd:sequence>
            		<xsd:element name="key" type="xsd:string"></xsd:element>
            		<xsd:element name="value" type="xsd:string"></xsd:element>
            	</xsd:sequence>
            </xsd:complexType>
    
            <xsd:complexType name="fileSetInclude">
            	<xsd:sequence>
            		<xsd:element name="fileList"
            			type="tns:ResourceAttributeType" maxOccurs="unbounded" minOccurs="0">
            		</xsd:element>
            		<xsd:element name="options" type="tns:ResourceAttributeType" maxOccurs="unbounded" minOccurs="0"></xsd:element>
            	</xsd:sequence>
            </xsd:complexType>
            <xsd:element name="setFileSetResourceFault">
            	<xsd:complexType>
            		<xsd:sequence>
            			<xsd:element name="setFileSetResourceFault"
            				type="xsd:string">
            			</xsd:element>
            		</xsd:sequence>
            	</xsd:complexType>
            </xsd:element>
            <xsd:element name="setSimpleResourceFault">
            	<xsd:complexType>
            		<xsd:sequence>
            			<xsd:element name="setSimpleResourceFault"
            				type="xsd:string">
            			</xsd:element>
            		</xsd:sequence>
            	</xsd:complexType>
            </xsd:element>
            <xsd:element name="setFileSetResourceFault1">
            	<xsd:complexType>
            		<xsd:sequence>
            			<xsd:element name="setFileSetResourceFault1"
            				type="xsd:string">
            			</xsd:element>
            		</xsd:sequence>
            	</xsd:complexType>
            </xsd:element>
            <xsd:element name="createFileSetResourceFault">
            	<xsd:complexType>
            		<xsd:sequence>
            			<xsd:element name="createFileSetResourceFault"
            				type="xsd:string">
            			</xsd:element>
            		</xsd:sequence>
            	</xsd:complexType>
            </xsd:element>
            <xsd:element name="setSimpleResourceFault1">
             	<xsd:complexType>
            		<xsd:sequence>
            			<xsd:element name="setSimpleResourceFault1"
            				type="xsd:string">
            			</xsd:element>
            		</xsd:sequence>
            	</xsd:complexType>
            </xsd:element>
    
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="listResourcesRequest">
    <wsdl:part name="resourceType" element="tns:listResources"/>
  </wsdl:message>
  <wsdl:message name="listResourcesResponse">
    <wsdl:part element="tns:listResourcesResponse" name="resultList"/>
  </wsdl:message>
  <wsdl:message name="getSimpleResourceRequest">
  	<wsdl:part name="resourceId" element="tns:getSimpleResource"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getSimpleResourceResponse">
  	<wsdl:part name="parameters" element="tns:getSimpleResourceResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="setSimpleResourceRequest">
	  <wsdl:part name="newResource" element="tns:setSimpleResource"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="setSimpleResourceResponse">
	  <wsdl:part name="setResponse" element="tns:setSimpleResourceResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="deleteResourceRequest">
  	<wsdl:part name="resourceId" element="tns:deleteResource"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="deleteResourceFault">
  	<wsdl:part name="parameters" element="tns:invalidId"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="deleteResourceFault1">
  	<wsdl:part name="parameters" element="tns:constraintViolation"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="createSimpleResourceRequest">
  	<wsdl:part name="newResource" element="tns:createSimpleResource"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="createSimpleResourceResponse">
  	<wsdl:part name="resourceId" element="tns:createSimpleResourceResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="createSimpleResourceFault">
  	<wsdl:part name="parameters" element="tns:syntaxError"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="setFileSetResourceRequest">
  	<wsdl:part name="parameters" element="tns:setFileSetResource"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="setFileSetResourceResponse">
  	<wsdl:part name="parameters" element="tns:setFileSetResourceResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="createFileSetResourceRequest">
  	<wsdl:part name="parameters" element="tns:createFileSetResource"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="createFileSetResourceResponse">
  	<wsdl:part name="parameters" element="tns:createFileSetResourceResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="setFileSetResourceFault">
  	<wsdl:part name="parameters" element="tns:syntaxError"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="setSimpleResourceFault">
  	<wsdl:part name="parameters" element="tns:syntaxError"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="setFileSetResourceFault1">
  	<wsdl:part name="parameters" element="tns:constraintViolation"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="createFileSetResourceFault">
  	<wsdl:part name="parameters" element="tns:syntaxError"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="setSimpleResourceFault1">
  	<wsdl:part name="parameters" element="tns:constraintViolation"></wsdl:part>
  </wsdl:message>

  <wsdl:portType name="VanHelsing">
    <wsdl:operation name="listResources">
      <wsdl:input message="tns:listResourcesRequest"/>
      <wsdl:output message="tns:listResourcesResponse"/>
	</wsdl:operation>
    <wsdl:operation name="getSimpleResource">
    	<wsdl:input message="tns:getSimpleResourceRequest"></wsdl:input>
    	<wsdl:output message="tns:getSimpleResourceResponse"></wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="setSimpleResource">
    	<wsdl:input message="tns:setSimpleResourceRequest"></wsdl:input>
    	<wsdl:output message="tns:setSimpleResourceResponse"></wsdl:output>
            <wsdl:fault name="fault" message="tns:setSimpleResourceFault"></wsdl:fault>
            <wsdl:fault name="fault1" message="tns:setSimpleResourceFault1"></wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="deleteResource"><wsdl:input message="tns:deleteResourceRequest"></wsdl:input><wsdl:fault name="fault" message="tns:deleteResourceFault"></wsdl:fault><wsdl:fault name="fault1" message="tns:deleteResourceFault1"></wsdl:fault>
     </wsdl:operation>
        <wsdl:operation name="createSimpleResource">
        	<wsdl:input message="tns:createSimpleResourceRequest"></wsdl:input>
        	<wsdl:output message="tns:createSimpleResourceResponse"></wsdl:output>
            <wsdl:fault name="fault" message="tns:createSimpleResourceFault"></wsdl:fault>
     	</wsdl:operation>
        <wsdl:operation name="setFileSetResource">
        	<wsdl:input message="tns:setFileSetResourceRequest"></wsdl:input>
        	<wsdl:output message="tns:setFileSetResourceResponse"></wsdl:output>
            <wsdl:fault name="fault" message="tns:setFileSetResourceFault"></wsdl:fault>
            <wsdl:fault name="fault1" message="tns:setFileSetResourceFault1"></wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="createFileSetResource">
        	<wsdl:input message="tns:createFileSetResourceRequest"></wsdl:input>
        	<wsdl:output message="tns:createFileSetResourceResponse"></wsdl:output>
            <wsdl:fault name="fault" message="tns:createFileSetResourceFault"></wsdl:fault>
        </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="VanHelsingSOAP" type="tns:VanHelsing">
  	<soap:binding style="document"
  		transport="http://schemas.xmlsoap.org/soap/http" />
  	<wsdl:operation name="listResources">
  		<soap:operation
  			soapAction="http://www.dass-it.de/VanHelsing/listResources" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>
  			<soap:body use="literal" />
  		</wsdl:output>
  		
  	</wsdl:operation>
  	<wsdl:operation name="getSimpleResource">
  		<soap:operation
  			soapAction="http://www.dass-it.de/VanHelsing/getResource" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>
  			<soap:body use="literal" />
  		</wsdl:output>
  	</wsdl:operation>
  	<wsdl:operation name="setSimpleResource">
  		<soap:operation 
  			soapAction="http://www.dass-it.de/VanHelsing/setResource" />
		<wsdl:input>
  			<soap:body use="literal" />
		</wsdl:input>
		<wsdl:output>
  			<soap:body use="literal" />
		</wsdl:output>
  		<wsdl:fault name="fault">
		  <soap:fault use="literal" name="fault" />
		</wsdl:fault>
  		<wsdl:fault name="fault1">
		  <soap:fault use="literal" name="fault1" />
		</wsdl:fault>
  	</wsdl:operation>
  	<wsdl:operation name="createSimpleResource">
  		<soap:operation soapAction="http://www.dass-it.de/VanHelsing/createSimpleResource" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>
  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="fault">
  			<soap:fault use="literal" name="fault" />
  		</wsdl:fault>
  	</wsdl:operation>
  	<wsdl:operation name="createFileSetResource">
  		<soap:operation soapAction="http://www.dass-it.de/VanHelsing/createFileSetResource" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>
  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="fault">
  			<soap:fault use="literal" name="fault" />
  		</wsdl:fault>
  	</wsdl:operation>
  	<wsdl:operation name="setFileSetResource">
  		<soap:operation soapAction="http://www.dass-it.de/VanHelsing/setFileSetResource" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>
  			<soap:body use="literal" />
  		</wsdl:output>
  		<wsdl:fault name="fault">
  			<soap:fault use="literal" name="fault" />
  		</wsdl:fault>
  		<wsdl:fault name="fault1">
  			<soap:fault use="literal" name="fault1" />
  		</wsdl:fault>
  	</wsdl:operation>
  	<wsdl:operation name="deleteResource">
  		<soap:operation soapAction="http://www.dass-it.de/VanHelsing/deleteResource" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:fault name="fault">
  			<soap:fault use="literal" name="fault" />
  		</wsdl:fault>
  		<wsdl:fault name="fault1">
  			<soap:fault use="literal" name="fault1" />
  		</wsdl:fault>
  	</wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="VanHelsing">
    <wsdl:port binding="tns:VanHelsingSOAP" name="VanHelsingSOAP">
      <soap:address location="http://localhost:8080/"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>
